Bug 97 - mdtool won't compile my sln command line
Summary: mdtool won't compile my sln command line
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: 4.x
Hardware: PC Mac OS
: Normal normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-07-28 11:45 UTC by Jonathan Peppers
Modified: 2011-08-05 17:57 UTC (History)
5 users (show)

Tags: mdtool command-line
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Peppers 2011-07-28 11:45:10 UTC
I have a build in Jenkins CI server that compiles multiple iPhone apps.  Here is a link to a question on StackOverflow: http://stackoverflow.com/questions/6859708/monotouch-running-mdtool-from-jenkins

It used to work, prior to some issues in MonoTouch 3.2.X.

I just installed MonoTouch 4.0.4.1, and get this stacktrace in the console:

2011-07-28 08:18:22.495 mdtool[14363:60f] *** __NSAutoreleaseNoPool(): Object 0x3f137e0 of class NSCFString autoreleased with no pool in place - just leaking
2011-07-28 08:18:22.498 mdtool[14363:60f] +[NSDictionary dictionaryWithContentsOfFile:]: unrecognized selector sent to class 0xa0bdd3ec
2011-07-28 08:18:22.499 mdtool[14363:60f] *** __NSAutoreleaseNoPool(): Object 0x127a560 of class NSCFString autoreleased with no pool in place - just leaking
Stacktrace:

  at (wrapper managed-to-native) MonoDevelop.IPhone.IPhoneFramework.SendMessage (intptr,intptr,intptr) <IL 0x00027, 0xffffffff>
  at MonoDevelop.IPhone.IPhoneFramework.GetDTSettings () [0x000ba] in /Users/michael/Mono/md-2-5-90/extras/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneFramework.cs:168
  at MonoDevelop.IPhone.IPhoneBuildExtension/<UpdateInfoPlist>c__AnonStorey8.<>m__4 (MonoDevelop.MacDev.Plist.PlistDocument) [0x000a7] in /Users/michael/Mono/md-2-5-90/extras/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneBuildExtension.cs:421
  at MonoDevelop.MacDev.MacBuildUtilities.CreateMergedPlist (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.ProjectFile,string,System.Func`2<MonoDevelop.MacDev.Plist.PlistDocument, MonoDevelop.Projects.BuildResult>) [0x000af] in /Users/michael/Mono/md-2-5-90/extras/MonoDevelop.IPhone/MonoDevelop.MacDev/MacBuildUtilities.cs:198
  at MonoDevelop.IPhone.IPhoneBuildExtension.UpdateInfoPlist (MonoDevelop.Core.IProgressMonitor,MonoDevelop.IPhone.IPhoneSdkVersion,MonoDevelop.IPhone.IPhoneProject,MonoDevelop.IPhone.IPhoneProjectConfiguration,MonoDevelop.IPhone.IPhoneBuildExtension/IPhoneAppIdentity,MonoDevelop.Projects.ProjectFile,string) [0x00024] in /Users/michael/Mono/md-2-5-90/extras/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneBuildExtension.cs:407
  at MonoDevelop.IPhone.IPhoneBuildExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.SolutionEntityItem,MonoDevelop.Projects.ConfigurationSelector) [0x0056f] in /Users/michael/Mono/md-2-5-90/extras/MonoDevelop.IPhone/MonoDevelop.IPhone/IPhoneBuildExtension.cs:193
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:153
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.SolutionEntityItem,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:161
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:153
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.SolutionEntityItem,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:161
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:153
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.SolutionEntityItem,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:161
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:153
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.SolutionEntityItem,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:161
  at MonoDevelop.Projects.CustomCommandExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.SolutionEntityItem,MonoDevelop.Projects.ConfigurationSelector) [0x00039] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/CustomCommandExtension.cs:47
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:153
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.SolutionItem.RunTarget (MonoDevelop.Core.IProgressMonitor,string,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionItem.cs:258
  at MonoDevelop.Projects.SolutionItem.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.ConfigurationSelector,bool) [0x00090] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionItem.cs:286
  at MonoDevelop.Projects.SolutionFolder.OnBuild (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.ConfigurationSelector) [0x000ce] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionFolder.cs:621
  at MonoDevelop.Projects.SolutionFolder.OnRunTarget (MonoDevelop.Core.IProgressMonitor,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionFolder.cs:531
  at MonoDevelop.Projects.DefaultProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x0002b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectService.cs:678
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00034] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:156
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.SolutionItem.RunTarget (MonoDevelop.Core.IProgressMonitor,string,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionItem.cs:258
  at MonoDevelop.Projects.SolutionItem.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.ConfigurationSelector,bool) [0x00090] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionItem.cs:286
  at MonoDevelop.Projects.SolutionItem.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/SolutionItem.cs:268
  at MonoDevelop.Projects.Solution.OnBuild (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/Solution.cs:502
  at MonoDevelop.Projects.WorkspaceItem.OnRunTarget (MonoDevelop.Core.IProgressMonitor,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/WorkspaceItem.cs:386
  at MonoDevelop.Projects.DefaultProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectService.cs:675
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.Solution,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:173
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.WorkspaceItem,MonoDevelop.Projects.ConfigurationSelector) [0x0000b] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:167
  at MonoDevelop.Projects.ProjectServiceExtension.Build (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,MonoDevelop.Projects.ConfigurationSelector) [0x00025] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:155
  at MonoDevelop.Projects.ProjectServiceExtension.RunTarget (MonoDevelop.Core.IProgressMonitor,MonoDevelop.Projects.IBuildTarget,string,MonoDevelop.Projects.ConfigurationSelector) [0x00010] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/ProjectServiceExtension.cs:113
  at MonoDevelop.Projects.WorkspaceItem.RunTarget (MonoDevelop.Core.IProgressMonitor,string,MonoDevelop.Projects.ConfigurationSelector) [0x00000] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/WorkspaceItem.cs:243
  at MonoDevelop.Projects.BuildTool.Run (string[]) [0x002a4] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Projects/BuildTool.cs:137
  at MonoDevelop.Core.ApplicationService.StartApplication (string,string[]) [0x0004c] in /Users/michael/Mono/md-2-5-90/main/src/core/MonoDevelop.Core/MonoDevelop.Core/Runtime.cs:288
  at MonoDevelopProcessHost.Main (string[]) [0x00122] in /Users/michael/Mono/md-2-5-90/main/src/tools/mdrun/src/mdrun.cs:82
  at (wrapper runtime-invoke) <Module>.runtime_invoke_int_object (object,intptr,intptr,intptr) <IL 0x0005c, 0xffffffff>

Native stacktrace:

	0   mdtool                              0x000b7009 0x0 + 749577
	1   mdtool                              0x0000704e 0x0 + 28750
	2   libSystem.B.dylib                   0x93eee05b _sigtramp + 43
	3   ???                                 0xffffffff 0x0 + 4294967295
	4   CoreFoundation                      0x99c5a457 +[NSException exceptionWithName:reason:userInfo:] + 87
	5   CoreFoundation                      0x99ca79c3 +[NSObject(NSObject) doesNotRecognizeSelector:] + 179
	6   CoreFoundation                      0x99c00c36 ___forwarding___ + 950
	7   CoreFoundation                      0x99c00802 _CF_forwarding_prep_0 + 50
	8   ???                                 0x03ec3648 0x0 + 65812040
	9   ???                                 0x03ec31ba 0x0 + 65810874
	10  ???                                 0x03ec1dc0 0x0 + 65805760
	11  ???                                 0x03ec192a 0x0 + 65804586
	12  ???                                 0x03ec15b2 0x0 + 65803698
	13  ???                                 0x03e078d2 0x0 + 65042642
	14  ???                                 0x03e01cce 0x0 + 65019086
	15  ???                                 0x03e01bf8 0x0 + 65018872
	16  ???                                 0x03e063e1 0x0 + 65037281
	17  ???                                 0x03e01cce 0x0 + 65019086
	18  ???                                 0x03e01bf8 0x0 + 65018872
	19  ???                                 0x03e063e1 0x0 + 65037281
	20  ???                                 0x03e01cce 0x0 + 65019086
	21  ???                                 0x03e01bf8 0x0 + 65018872
	22  ???                                 0x03e063e1 0x0 + 65037281
	23  ???                                 0x03e01cce 0x0 + 65019086
	24  ???                                 0x03e01bf8 0x0 + 65018872
	25  ???                                 0x03e063e1 0x0 + 65037281
	26  ???                                 0x03e0621c 0x0 + 65036828
	27  ???                                 0x03e01cce 0x0 + 65019086
	28  ???                                 0x03e01bf8 0x0 + 65018872
	29  ???                                 0x03e04b7f 0x0 + 65031039
	30  ???                                 0x03e02280 0x0 + 65020544
	31  ???                                 0x03e051d6 0x0 + 65032662
	32  ???                                 0x03e04bd4 0x0 + 65031124
	33  ???                                 0x03e01f44 0x0 + 65019716
	34  ???                                 0x03e01d67 0x0 + 65019239
	35  ???                                 0x03e01bf8 0x0 + 65018872
	36  ???                                 0x03e01d67 0x0 + 65019239
	37  ???                                 0x03e01bf8 0x0 + 65018872
	38  ???                                 0x03e01d67 0x0 + 65019239
	39  ???                                 0x03e01bf8 0x0 + 65018872
	40  ???                                 0x03e01d67 0x0 + 65019239
	41  ???                                 0x03e01bf8 0x0 + 65018872
	42  ???                                 0x03e01d67 0x0 + 65019239
	43  ???                                 0x03e01bf8 0x0 + 65018872
	44  ???                                 0x03e01d67 0x0 + 65019239
	45  ???                                 0x03e01bf8 0x0 + 65018872
	46  ???                                 0x03e01d67 0x0 + 65019239
	47  ???                                 0x03e01bf8 0x0 + 65018872
	48  ???                                 0x03e01d67 0x0 + 65019239
	49  ???                                 0x03e01bf8 0x0 + 65018872
	50  ???                                 0x03e04b7f 0x0 + 65031039
	51  ???                                 0x03e02280 0x0 + 65020544
	52  ???                                 0x03e020a8 0x0 + 65020072
	53  ???                                 0x03e02078 0x0 + 65020024
	54  ???                                 0x03e02008 0x0 + 65019912
	55  ???                                 0x03e01ed3 0x0 + 65019603
	56  ???                                 0x03e01e61 0x0 + 65019489
	57  ???                                 0x03e01deb 0x0 + 65019371
	58  ???                                 0x03e01d3a 0x0 + 65019194
	59  ???                                 0x03e01bf8 0x0 + 65018872
	60  ???                                 0x03e01e61 0x0 + 65019489
	61  ???                                 0x03e01deb 0x0 + 65019371
	62  ???                                 0x03e01d3a 0x0 + 65019194
	63  ???                                 0x03e01bf8 0x0 + 65018872
	64  ???                                 0x03e01e61 0x0 + 65019489
	65  ???                                 0x03e01deb 0x0 + 65019371
	66  ???                                 0x03e01d3a 0x0 + 65019194
	67  ???                                 0x03e01bf8 0x0 + 65018872
	68  ???                                 0x03e01e61 0x0 + 65019489
	69  ???                                 0x03e01deb 0x0 + 65019371
	70  ???                                 0x03e01d3a 0x0 + 65019194
	71  ???                                 0x03e01bf8 0x0 + 65018872
	72  ???                                 0x03e01e61 0x0 + 65019489
	73  ???                                 0x03e01deb 0x0 + 65019371
	74  ???                                 0x03e01d3a 0x0 + 65019194
	75  ???                                 0x03e01bf8 0x0 + 65018872
	76  ???                                 0x03e01e61 0x0 + 65019489
	77  ???                                 0x03e01deb 0x0 + 65019371
	78  ???                                 0x03e01d3a 0x0 + 65019194
	79  ???                                 0x03e01bf8 0x0 + 65018872
	80  ???                                 0x03e01e61 0x0 + 65019489
	81  ???                                 0x03e01deb 0x0 + 65019371
	82  ???                                 0x03e01d3a 0x0 + 65019194
	83  ???                                 0x03e01bf8 0x0 + 65018872
	84  ???                                 0x03e01e61 0x0 + 65019489
	85  ???                                 0x03e01deb 0x0 + 65019371
	86  ???                                 0x03e01d3a 0x0 + 65019194
	87  ???                                 0x03e01bf8 0x0 + 65018872
	88  ???                                 0x03e0170f 0x0 + 65017615
	89  ???                                 0x01fedf81 0x0 + 33480577
	90  ???                                 0x01fed168 0x0 + 33476968
	91  ???                                 0x003d7018 0x0 + 4026392
	92  ???                                 0x003d72c4 0x0 + 4027076
	93  mdtool                              0x000114e4 0x0 + 70884
	94  mdtool                              0x001bcca6 0x0 + 1821862
	95  mdtool                              0x001bf24d 0x0 + 1831501
	96  mdtool                              0x001be68b 0x0 + 1828491
	97  mdtool                              0x00088662 0x0 + 558690
	98  mdtool                              0x00003ca6 0x0 + 15526
	99  ???                                 0x00000007 0x0 + 7

Debug info from gdb:

/tmp/mono-gdb-commands.71Nn26:1: Error in sourced command file:
unable to debug self

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 1 Miguel de Icaza [MSFT] 2011-07-28 18:56:52 UTC
You are running Beta1, that was fixed three months ago.
Comment 2 Jonathan Peppers 2011-07-29 16:53:36 UTC
My "Check for updates" button says I'm up to date.

Is there a nightly build I need to install?

Other info that might be relevant:

- I still have Snow Leopard
- I am using the XCode 4.0.2 installation
Comment 3 Mikayla Hutchinson [MSFT] 2011-07-29 18:11:40 UTC
We didn't put any of the 2.6 betas on the updater. You can download 2.6 b3 from monodevelop.com
Comment 4 Jonathan Peppers 2011-07-29 18:14:40 UTC
2.6 Beta 3 is working, thanks.